logo
Welcome to our new AbleCommerce forums. As a guest, you may view the information here. To post to this forum, you must have a registered account with us, either as a new user evaluating AbleCommerce or an existing user of the application. For all questions related to the older version of Gold and earlier, please go to forums.ablecommerce.com. Please use your AbleCommerce username and password to Login. Forums Registration.

Notification

Icon
Error

2 Pages<12
Options
Go to last post Go to first unread
dandersonMLT  
#21 Posted : Thursday, June 4, 2020 2:41:23 PM(UTC)
dandersonMLT

Rank: Newbie

Groups: Authorized User, Developers
Joined: 4/30/2019(UTC)
Posts: 0

Still not working after following the steps above.
Each time I go to plugins page asks if I want to install Zapier. I click yes, nothing happens. Upon returning to plugins page the popup to install Zapier appears again but it never installs.

Quote:


2020-06-04 14:27:03,860 INFO AbleCommerce Checking 'ZapierWebApi.zip'
2020-06-04 14:27:03,860 INFO AbleCommerce Extracting 'ZapierWebApi.zip'
2020-06-04 14:27:04,541 INFO AbleCommerce Successfully extracted 'ZapierWebApi.zip' to directory 'C:\source\Website\Plugins\ZapierWebApi'
2020-06-04 14:27:04,541 INFO AbleCommerce Finished searching and extracting plugin packages
2020-06-04 14:27:04,541 INFO AbleCommerce Trying to load list of installed plugins
2020-06-04 14:27:04,574 INFO AbleCommerce There are 4 plugins marked installed. FedEx,UPS,AuthorizeNetCIM,PayPal
2020-06-04 14:27:04,574 INFO AbleCommerce Ensuring probing directory bin for plugins under '\Plugins' directory
2020-06-04 14:27:04,575 INFO AbleCommerce Wiping probing folder from any files except 'DON'T DELETE.TXT'.
2020-06-04 14:27:04,577 INFO AbleCommerce Found 39 files to delete
...
2020-06-04 14:27:04,579 INFO AbleCommerce Trying to delete CommerceBuilder.ZapierWebApi.dll
2020-06-04 14:27:04,580 INFO AbleCommerce Successfully deleted CommerceBuilder.ZapierWebApi.dll
...
2020-06-04 14:27:07,038 INFO AbleCommerce trying to load plugin from C:\source\Website\Plugins\ZapierWebApi\PluginManifest.xml
2020-06-04 14:27:07,039 INFO AbleCommerce Successfully loaded plugin ZapierWebApi
2020-06-04 14:27:07,039 INFO AbleCommerce Finished loading available plugins, detected 20 plugins, successfully loaded 20 plugins.
...
2020-06-04 14:31:25,480 INFO AbleCommerce Requesting to install plugin 'ZapierWebApi'
2020-06-04 14:31:25,510 INFO AbleCommerce Successfully requested to install the plugin 'ZapierWebApi'
...
2020-06-04 14:31:44,004 INFO AbleCommerce Trying to install plugin 'ZapierWebApi'
2020-06-04 14:31:44,005 ERROR AbleCommerce Value cannot be null.
Parameter name: type
System.ArgumentNullException: Value cannot be null.
Parameter name: type
at System.Activator.CreateInstance(Type type, BindingFlags bindingAttr, Binder binder, Object[] args, CultureInfo culture, Object[] activationAttributes)
at System.Activator.CreateInstance(Type type, Object[] args)
at CommerceBuilder.Plugins.PluginManager.Install(String pluginName)
...
2020-06-04 14:31:52,644 INFO AbleCommerce Checking 'ZapierWebApi.zip'
2020-06-04 14:31:52,644 INFO AbleCommerce Plugin directory 'C:\Source\Website\Plugins\ZapierWebApi' already exist
2020-06-04 14:31:52,644 INFO AbleCommerce Plugin directory 'C:\Source\Website\Plugins\ZapierWebApi' is up to date, no need to unzip ZapierWebApi.zip
2020-06-04 14:31:52,644 INFO AbleCommerce Finished searching and extracting plugin packages
2020-06-04 14:31:52,644 INFO AbleCommerce Looking for plugin manifest files
2020-06-04 14:31:52,651 INFO AbleCommerce Found 0 new plugins

Edited by user Thursday, June 4, 2020 10:33:46 PM(UTC)  | Reason: Not specified

Naveed Ashraf  
#22 Posted : Thursday, June 4, 2020 10:24:08 PM(UTC)
Naveed Ashraf

Rank: Advanced Member

Groups: Admin, Administrators, Developers, Registered, HelpDesk, Authorized User
Joined: 7/31/2019(UTC)
Posts: 47

Was thanked: 3 time(s) in 3 post(s)
It is the same error again.


I am going to attempt a AC 9.0.2 upgrade install locally, and try to reproduce the issue. I believe you have upgraded from AC 9.0.1 to 9.0.2?

Edited by user Thursday, June 4, 2020 10:25:43 PM(UTC)  | Reason: Not specified

dandersonMLT  
#23 Posted : Thursday, June 4, 2020 10:32:22 PM(UTC)
dandersonMLT

Rank: Newbie

Groups: Authorized User, Developers
Joined: 4/30/2019(UTC)
Posts: 0

Yes
Naveed Ashraf  
#24 Posted : Thursday, June 4, 2020 11:08:42 PM(UTC)
Naveed Ashraf

Rank: Advanced Member

Groups: Admin, Administrators, Developers, Registered, HelpDesk, Authorized User
Joined: 7/31/2019(UTC)
Posts: 47

Was thanked: 3 time(s) in 3 post(s)
Hi,

I just attempted an upgrade from AC 9.0.1 store to version AC 9.0.2. And after that I am able to successfully install the Zapier plugin without any issues.

zapier config.png (61kb) downloaded 0 time(s).

From the error log its clear that the plugin is not loading when an install is attempted. A "Refresh" button click or IIS restart should have fixed this issue.
Or may be there is something wrong with the IIS or Asp.Net temporary files cache.

Is it possible to re-attempt an upgrade from your AC 9.0.1 version to 9.0.2? You said its a dev environment.

Thanks for your patience.

Naveed Ashraf
Naveed Ashraf  
#25 Posted : Thursday, June 4, 2020 11:59:39 PM(UTC)
Naveed Ashraf

Rank: Advanced Member

Groups: Admin, Administrators, Developers, Registered, HelpDesk, Authorized User
Joined: 7/31/2019(UTC)
Posts: 47

Was thanked: 3 time(s) in 3 post(s)
Hi,

Please copy the version information details from the following page:

Admin -> Help -> About

Copy everything under AbleCommerce Version section.

Thanks.


dandersonMLT  
#26 Posted : Friday, June 5, 2020 8:20:25 AM(UTC)
dandersonMLT

Rank: Newbie

Groups: Authorized User, Developers
Joined: 4/30/2019(UTC)
Posts: 0

Thank you.
Since this is running in a dev environment it is running in visual studio.

Quote:


AbleCommerce for ASP.NET
VERSION: 9.0.2.6218
Release Label: 9.0.2
DATABASE: NHibernate.Dialect.MsSql2005Dialect
.NET CLR v4.0.30319.42000
ASP.NET TRUST: Unrestricted

AbleCommerce: 9.2.7460.26002
Antlr3.Runtime: 3.5.0.2
Castle.Core: 4.1.1.0
Castle.Windsor: 4.0.0.0
CommerceBuilder: 9.2.7387.7183
CommerceBuilder.AuthorizeNetCIM: 9.0.7054.26958
CommerceBuilder.BankOfCanada: 9.0.7031.38588
CommerceBuilder.ECB: 9.0.7031.38588
CommerceBuilder.EPaymentIntegrator-Base: 9.0.6907.27694
CommerceBuilder.FedEx: 9.0.7054.27005
CommerceBuilder.Licensing: 9.2.7387.7187
CommerceBuilder.PayPal: 9.0.7054.26981
CommerceBuilder.UPS: 9.0.7054.27007
CommerceBuilder.Utility.Csv: 8.0.0.0
CommerceBuilder.Utility.Csv: 8.0.0.0
CommerceBuilder.Web: 9.2.7387.7187
CommerceBuilder.ZapierWebApi: 9.0.7317.21823
ExpressiveAnnotations: 2.7.3.0
ExpressiveAnnotations.MvcUnobtrusive: 2.5.4.0
FedExWS: 1.0.0.0
Google.Authenticator: 1.2.1.0
ICSharpCode.SharpZipLib: 0.86.0.518
ICSharpCode.SharpZipLib: 0.86.0.518
Iesi.Collections: 4.0.0.4000
log4net: 1.2.10.0
log4net: 1.2.10.0
Microsoft.AspNet.WebHooks.Common: 1.2.1.0
Microsoft.AspNet.WebHooks.Custom: 1.2.1.0
Microsoft.AspNet.WebHooks.Custom.Api: 1.2.1.0
Microsoft.AspNet.WebHooks.Custom.SqlStorage: 1.2.1.0
Microsoft.AspNetCore.Cryptography.Internal: 1.0.0.0
Microsoft.AspNetCore.DataProtection: 1.0.0.0
Microsoft.AspNetCore.DataProtection.Abstractions: 1.0.0.0
Microsoft.AspNetCore.Hosting.Abstractions: 1.0.0.0
Microsoft.AspNetCore.Hosting.Server.Abstractions: 1.0.0.0
Microsoft.AspNetCore.Http.Abstractions: 1.0.0.0
Microsoft.AspNetCore.Http.Features: 1.0.0.0
Microsoft.CodeDom.Providers.DotNetCompilerPlatform: 2.0.1.0
Microsoft.Extensions.Configuration: 1.0.0.0
Microsoft.Extensions.Configuration.Abstractions: 1.0.0.0
Microsoft.Extensions.DependencyInjection: 1.0.0.0
Microsoft.Extensions.DependencyInjection.Abstractions: 1.0.0.0
Microsoft.Extensions.FileProviders.Abstractions: 1.0.0.0
Microsoft.Extensions.Logging.Abstractions: 1.0.0.0
Microsoft.Extensions.Options: 1.0.0.0
Microsoft.Extensions.PlatformAbstractions: 1.0.0.0
Microsoft.Extensions.Primitives: 1.0.0.0
Microsoft.Web.Infrastructure: 1.0.0.0
Microsoft.Web.Mvc: 5.0.0.0
Newtonsoft.Json: 10.0.0.0
NHibernate: 5.0.0.0
NHibernate.Caches.SysCache: 5.2.0.0
nsoftware.InPayWeb: 6.0.5849.0
NVelocity: 7.2.0.0
NVelocity: 7.2.0.0
PagedList: 1.17.0.0
PagedList.Mvc: 4.5.0.0
PayPalCoreSDK: 1.7.0.0
PayPalMerchantSDK: 2.16.117.0
Remotion.Linq: 2.1.0.0
Remotion.Linq.EagerFetching: 2.1.0.0
RouteDebugger: 2.1.5.0
System.Net.Http.Formatting: 5.2.7.0
System.Net.Http.Formatting: 5.2.2.0
System.Text.Encodings.Web: 4.0.0.0
System.Threading.Tasks.Dataflow: 4.5.24.0
System.Web.Helpers: 3.0.0.0
System.Web.Http: 5.2.2.0
System.Web.Http: 5.2.7.0
System.Web.Http.WebHost: 5.2.7.0
System.Web.Http.WebHost: 5.2.2.0
System.Web.Mvc: 5.2.3.0
System.Web.Optimization: 1.1.0.0
System.Web.Razor: 3.0.0.0
System.Web.WebPages: 3.0.0.0
System.Web.WebPages: 3.0.0.0
System.Web.WebPages.Deployment: 3.0.0.0
System.Web.WebPages.Deployment: 3.0.0.0
System.Web.WebPages.Razor: 3.0.0.0
System.Web.WebPages.Razor: 3.0.0.0
UPS: 1.0.0.0
WebGrease: 1.6.5135.21930


Naveed Ashraf  
#27 Posted : Friday, June 5, 2020 9:46:38 AM(UTC)
Naveed Ashraf

Rank: Advanced Member

Groups: Admin, Administrators, Developers, Registered, HelpDesk, Authorized User
Joined: 7/31/2019(UTC)
Posts: 47

Was thanked: 3 time(s) in 3 post(s)
Hi,


Thanks for posting the details, I see some of Zapier required assemblies (dll files) have multiple versions present and loaded:

System.Net.Http.Formatting: 5.2.7.0
System.Net.Http.Formatting: 5.2.2.0

System.Web.Http: 5.2.2.0
System.Web.Http: 5.2.7.0

System.Web.Http.WebHost: 5.2.7.0
System.Web.Http.WebHost: 5.2.2.0


Though I am not sure that its the reason, but its worth trying to figure out. Do you have some custom plugin which references to these assemblies?
The assemblies list show an assembly with following details:

UPS: 1.0.0.0

If you please remove this component/plugin, clean build the website, and check if the duplicate versions of the above assemblies resolved.
Then try the Zapier install.

Thanks.
dandersonMLT  
#28 Posted : Friday, June 5, 2020 10:00:58 AM(UTC)
dandersonMLT

Rank: Newbie

Groups: Authorized User, Developers
Joined: 4/30/2019(UTC)
Posts: 0

I have uninstalled the UPS but that didn't resolve the issue.
We are not running any customer plugins.

Which version on the DLLs should we be using? I assume the latest?
I'm not sure what is referencing the 2 versions but I can look into it.
Users browsing this topic
2 Pages<12
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.